# Function interactionDecoration

- interactionDecoration(interaction: Interaction): void

- Provides a function that adds an "active" property (using `Object.defineProperty`) to an interaction, making it possible to use ngModel to activate/deactivate interactions.

  Example:

       <input type="checkbox" ngModel="interaction.active" />

  #### Parameters

  - ##### interaction: Interaction

    Interaction to decorate.

  #### Returns void

  - Defined in src/misc/decorate.js:40

Generated using TypeDoc